Subject: [bug#52897] [PATCH] doc: Add instructions on upgrading the build daemon with doas.

From: Maxim Cournoyer <[email-masked]>
Date: Fri, 08 Jul 2022 21:36:33 -0400

Hi jgart,

jgart <[email-masked]> writes:

> On Thu, 07 Jul 2022 14:27:47 -0400 Maxim Cournoyer <[email-masked]> wrote:
>> Hello,
>> 
>> zimoun <[email-masked]> writes:
>> 
>> > Hi,
>> >
>> > On Fri, 31 Dec 2021 at 23:49, Morgan Smith <[email-masked]> wrote:
>> >
>> >> I've explicitly removed sudo from my machine as supposedly sudo is a
>> >> large complex codebase that likely has bugs (although that's probably
>> >> just openBSD propaganda).
>> >
>> > Guix documentation uniquely relies on ’sudo’.  And for instance, I was
>> > not aware of such propaganda. :-)
>> >
>> > Well, I do not have an opinion, but AFAIK, Guix does not work on the top
>> > of OpenBSD (yet! who knows if someone will not port a BSD kernel with a
>> > GNU userland as Debian did some time ago [1] ;-))
>> >
>> > For me, it is a niche and for consistency, all the commands using ’sudo’
>> > should also provide the ’doas’ way.  And I am not convinced the burden
>> > is worth.  Well, I do not have an opinion.
>> 
>> I'm also not convinced it brings much, especially since Guix can't be
>> used where 'doas' is likely to be encountered (BSDs).
>
> FWIW, I use doas on Debian and alpine linux was considering replacing sudo with doas ;()
>
> But, yes. This is low priority for me right now so that's fine to close it :)
>
> I may experiment with doas in a guix channel instead.

Note that me closing this issue was not against having 'doas' in Guix
(you are welcome to contribute a package for it if you like), it was
against offering 'doas' equivalents to 'sudo' in our documentation.

Thanks,

Maxim